# Get vendorPaymentJournals
Retrieve the properties and relationships of a vendorPaymentJournal object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/vendorPaymentJournals({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and an vendorPaymentJournals object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/vendorPaymentJournals({id})
```
Response
Here's an example of the response.
```json
{
  "id": "dbe826d6-021d-ed11-9db9-000d3aa935da",
  "code": "CASH",
  "displayName": "Cash receipts and payments",
  "balancingAccountId": "00000000-0000-0000-0000-000000000000",
  "balancingAccountNumber": "10100",
  "lastModifiedDateTime": "2022-08-16T01:29:56.15Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_vendorpaymentjournal
dynamics_vendorpaymentjournal_delete
dynamics_vendorpaymentjournal_create
dynamics_vendorpaymentjournal_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_vendorpaymentjournal_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_vendorpaymentjournal_get/
